import createAxios from '@/utils/request'

// 字典树接口
export function queryByCode(code: string) {
    let form = new FormData()
    form.append('code', code)
    return createAxios({
        url: '/system-boot/dictTree/queryByCode',
        method: 'POST',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        data: form
    })
}
// 字典树接口2
export function queryByAllCode() {
    let form = new FormData()
    // form.append('code', code)
    return createAxios({
        url: '/system-boot/dictTree/queryTree',
        method: 'GET',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        }
        // data: form
    })
}

// 字典树接口通过code
export function queryCsDictTree(pid: string) {
    let form = new FormData()
    form.append('pid', pid)
    return createAxios({
        url: '/system-boot/dictTree/query',
        method: 'POST',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        data: form
    })
}

/**
 * 根据id查询字典值
 */
export const getDictTreeById = (id: any) => {
    let form = new FormData()
    form.append('id', id)
    return createAxios({
        url: '/system-boot/dictTree/queryById',
        method: 'POST',
        data: form
    })
}

// 字典树接口通过id
export function queryByid(id: string) {
    let form = new FormData()
    form.append('id', id)
    return createAxios({
        url: '/system-boot/dictTree/queryByid',
        method: 'POST',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        data: form
    })
}

//新增字典树数据
export const addDictTree = (data: any) => {
    return createAxios({
        url: '/system-boot/dictTree/add',
        method: 'post',
        data: data
    })
}

// 编辑统计指标配置项
export const updateStatistical = (data: any) => {
    return createAxios({
        url: '/system-boot/dictTree/update',
        method: 'PUT',
        data: data
    })
}
// 单位绑定
export function codeDicTree(data: any) {
    return createAxios({
        // url: '/system-boot/dictTree/codeDicTree',
        url: '/system-boot/dictTree/queryByCodeList',
        method: 'post',
        params: data
    })
}
// 根据装置型号获取装置类型
export function findByDevTypeId(data: any) {
    return createAxios({
        url: '/cs-device-boot/edData/queryEdDataPage',
        method: 'post',
        data
    })
}
// 装置升级
export function upgrade(params: any) {
    return createAxios({
        url: '/zl-event-boot/device/upgrade',
        method: 'get',
        params
    })
}
